<?php 	session_start();

if ($_SESSION['company'] == "") { 
    exit("Please Login");
}
if ($_SESSION['CURRENT_USER'] == "") { 
    exit("Please Login");
}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
        <title>Customer Master Report</title>
        <style>
            body{
                font-family:Arial, Helvetica, sans-serif;
                font-size:14px;
            }
            table
            {
                border-collapse:collapse;
				
            }
            table, td, th
            {

                font-family:Arial, Helvetica, sans-serif;
                padding:5px;
				margin-bottom:25px;
            }
            th
            {
                font-weight:bold;
                font-size:12px;

            }
            td
            {
                font-size:15px;

            }
        </style>
        <style type="text/css">
            <!--
            .style1 {
                color: #0000FF;
                font-weight: bold;
                font-size: 24px;
            }
            -->

            <!--
            .red {
                color: #FF0000;
                font-weight: bold;
                font-size: 12px;
            }
            -->
        </style>
    </head>

    <body>
        <!-- Progress bar holder -->


        <?php
        require_once("connectioni.php");
        
        

		
		if ($_GET["radio"]=="optallcus"){
			
			if ($_GET["chkprintable"]=="on"){
            	
				$sql_head = "select * from invpara  where flag='".$_SESSION['company']."'"; 
            	$result_head = mysqli_query($GLOBALS['dbinv'],$sql_head);
            	$row_head = mysqli_fetch_array($result_head);


            	$txtrepono = $_SESSION["CURRENT_USER"] . " " . date("Y-m-d") . "  " . date("H:i:s");


            	$rtxtComName = $row_head["COMPANY"];
            	$rtxtcomadd1 = $row_head["ADD1"];
            	$rtxtComAdd2 = $row_head["ADD2"] . ", " . $row_head["ADD3"];
          
            	echo "<center><table width=1000 border=0>";
          
		  		$i=1;
            	$sql_cus = "select * from vendor  where code<> ''";
				
				if ($_GET['district'] != "All") {
					
					$sql_cus .= " and district = '" . $_GET['district'] . "'"; 
					
				}
				
				if ($_GET['cmbrep'] != "All") {
                    $sql_cus .= " and rep = '" . $_GET['cmbrep'] . "'"; 
				}
					
				$sql_cus .=  " order by code";
				
            	$result_cus = mysqli_query($GLOBALS['dbinv'],$sql_cus);
				while ($row_cus = mysqli_fetch_array($result_cus)) {
					
					if ($_GET["cmbrep"]=="All"){
									
						if ($i%3==1){
							echo "<tr><td width=\"30%\">";
						}
						if (($i%3==2) or ($i%3==0)){
							echo "<td width=\"30%\">";
						}	
            			echo "<table>";
						echo "<tr><td>".$row_cus["NAME"] . "</td></tr>";
						echo "<tr><td>".$row_cus["ADD1"] . "</td></tr>";
						echo "<tr><td>".$row_cus["ADD2"] . "</td></tr>";
						echo "</table>";
				
						if (($i%3==1) or ($i%3==2)){
							echo "</td>";
						}
						if ($i%3==0){
							echo "</td></tr>";
						}		
						$i=$i+1;
										
					} else {
					
						$sql_cus1 = "select * from br_trn where cus_code='".$row_cus["CODE"]."' and Rep='".$_GET["cmbrep"]."'";
						$result_cus1 = mysqli_query($GLOBALS['dbinv'],$sql_cus1);
						if($row_cus1 = mysqli_fetch_array($result_cus1)) {
				
							if ($i%3==1){
								echo "<tr><td width=\"30%\">";
							}
							if (($i%3==2) or ($i%3==0)){
								echo "<td width=\"30%\">";
							}	
            				echo "<table>";
							echo "<tr><td>".$row_cus["NAME"] . "</td></tr>";
							echo "<tr><td>".$row_cus["ADD1"] . "</td></tr>";
							echo "<tr><td>".$row_cus["ADD2"] . "</td></tr>";
							echo "</table>";
				
							if (($i%3==1) or ($i%3==2)){
								echo "</td>";
							}
							if ($i%3==0){
								echo "</td></tr>";
							}		
							$i=$i+1;
						}	
					}	
					//echo $sql_cus1;
            		
        		}
		 		echo "</table>";
			
			} else {
				
				$sql_head = "select * from invpara  where flag='".$_SESSION['company']."'"; 
            	$result_head = mysqli_query($GLOBALS['dbinv'],$sql_head);
            	$row_head = mysqli_fetch_array($result_head);


            	$txtrepono = $_SESSION["CURRENT_USER"] . " " . date("Y-m-d") . "  " . date("H:i:s");


            	$rtxtComName = $row_head["COMPANY"];
            	$rtxtcomadd1 = $row_head["ADD1"];
            	$rtxtComAdd2 = $row_head["ADD2"] . ", " . $row_head["ADD3"];
          

            	echo "<center><table width=\"1000\" border=\"0\">
  <tr>
    
    <th colspan=\"4\" scope=\"col\">" . $rtxtComName . "</th>
   
  </tr>
  <tr>
   
    <td colspan=\"4\" align=\"center\">" . $rtxtcomadd1 . "</td>
   
  </tr>
  <tr>
    
    <td colspan=\"4\" align=\"center\">" . $rtxtComAdd2 . "</td>
   
  </tr>
  <tr>
    
	<td  width=\"600\" align=center><b>Customer Master Details</b></td>
    
   
  </tr> 
   			
<tr>
    
	<td  width=\"600\" align=center><b>".$_GET['cuscode']."</b></td>
    
   
  </tr> 				
 
</table>";

            	

            	echo "<center><table width=1000 border=1>";
            	echo "
		<tr>
		<th>Customer Code</th>
		<th>Customer Name</th>
		<th>Address1</th>
		<th>Address2</th>
		<th>Telephone1</th>
		<th>Telephone2</th>
		<th>Contact Per</th>
		<th>Fax</th>
		<th>EMail</th>
		</tr>";

            	$sql_cus = "select * from vendor where code<> '' ";
				
				if ($_GET['cuscode'] != "") {
					
					$sql_cus .= " and CODE = '" . $_GET['cuscode'] . "'"; 
					
				}
					
				if ($_GET['district'] != "All") {
					
					$sql_cus .= " and district = '" . $_GET['district'] . "'"; 
					
				}
				
				if ($_GET['cmbrep'] != "All") {
                    $sql_cus .= " and rep = '" . $_GET['cmbrep'] . "'"; 
				}
				
				if ($_GET['regdate'] == "on") {
					 $sql_cus .= " and  OPDATE>='" . $_GET["dtfrom"] . "' and OPDATE<='" . $_GET["dtto"] . "' ";  
					
				}

					
				$sql_cus .=   " order by code";
				// echo $sql_cus/;
            	$result_cus = mysqli_query($GLOBALS['dbinv'],$sql_cus);
				while ($row_cus = mysqli_fetch_array($result_cus)) {
					
					if ($_GET["cmbrep"]=="All"){
						echo "<tr><td>" . $row_cus["CODE"] . "</td>
						<td>" . $row_cus["NAME"] . "</td>
						<td>" . $row_cus["ADD1"] . "</td>
						<td>" . $row_cus["ADD2"] . "</td>
						<td>" . $row_cus["TELE1"] . "</td>
						<td>" . $row_cus["TELE2"] . "</td>
						<td>" . $row_cus["CONT"] . "</td>
						<td>" . $row_cus["FAX"] . "</td>
						<td>" . $row_cus["EMAIL"] . "</td></tr>";
					} else {
						$sql_cus1 = "select * from br_trn where cus_code='".$row_cus["CODE"]."' and Rep='".$_GET["cmbrep"]."'";
						$result_cus1 = mysqli_query($GLOBALS['dbinv'],$sql_cus1);
						if($row_cus1 = mysqli_fetch_array($result_cus1)) {
					
            				echo "<tr><td>" . $row_cus["CODE"] . "</td>
							<td>" . $row_cus["NAME"] . "</td>
							<td>" . $row_cus["ADD1"] . "</td>
							<td>" . $row_cus["ADD2"] . "</td>
							<td>" . $row_cus["TELE1"] . "</td>
							<td>" . $row_cus["TELE2"] . "</td>
							<td>" . $row_cus["CONT"] . "</td>
							<td>" . $row_cus["FAX"] . "</td>
							<td>" . $row_cus["EMAIL"] . "</td></tr>";
						}	

					}	
					//echo $sql_cus1;
            		
        		}
        		
        		$sql_cus1 = "select * from s_salma where CANCELL='0' AND C_CODE<> ''  "; 
        		
        		if ($_GET['cuscode'] != "") {
					
					$sql_cus1 .= " and C_CODE = '" . $_GET['cuscode'] . "'"; 
					
				}
				
				if ($_GET['regdate'] == "on") {
					 $sql_cus1 .= " and  SDATE>='" . $_GET["dtfrom"] . "' and SDATE<='" . $_GET["dtto"] . "' ";  
					
				}
			
				if ($_GET['cmbrep'] != "All") {
                    $sql_cus1 .= " and SAL_EX = '" . $_GET['cmbrep'] . "'"; 
				}
				 
				$sql_cus1 .=   " group by TEL order by C_CODE";
				// echo $sql_cus1;
            	$result_cus1 = mysqli_query($GLOBALS['dbinv'],$sql_cus1);
				while ($row_cus1 = mysqli_fetch_array($result_cus1)) {
					
					 
						echo "<tr><td>" . $row_cus1["C_CODE"] . "</td>
						<td>" . $row_cus1["CUS_NAME"] . "</td>
						<td>" . $row_cus1["C_ADD1"] . "</td>
						<td></td>
						<td>" . $row_cus1["TEL"] . "</td>
						<td></td>
						<td></td>
				        <td></td>
						<td></td></tr>";
					 
            		
        		}
		 		echo "</table>";
			}	
		}
        
		if ($_GET["radio"]=="optexistcus"){
		
			if ($_GET["chkprintable"]=="on"){
            	
				$sql_head = "select * from invpara  where flag='".$_SESSION['company']."'"; 
            	$result_head = mysqli_query($GLOBALS['dbinv'],$sql_head);
            	$row_head = mysqli_fetch_array($result_head);


            	$txtrepono = $_SESSION["CURRENT_USER"] . " " . date("Y-m-d") . "  " . date("H:i:s");


            	$rtxtComName = $row_head["COMPANY"];
            	$rtxtcomadd1 = $row_head["ADD1"];
            	$rtxtComAdd2 = $row_head["ADD2"] . ", " . $row_head["ADD3"];
          
            	echo "<center><table width=1000 border=0>";
          
		  		$i=1;

				
				$sql_cus = "select * from vendor where  CAT!='D' ";
				
					
				if ($_GET['district'] != "All") {
					
					$sql_cus .= " and district = '" . $_GET['district'] . "'"; 
					
				}
                
                if ($_GET['cmbrep'] != "All") {
                    $sql_cus .= " and rep = '" . $_GET['cmbrep'] . "'"; 
				}
					
				$sql_cus .=  " order by code";
				
				
            	$result_cus = mysqli_query($GLOBALS['dbinv'],$sql_cus);
				while ($row_cus = mysqli_fetch_array($result_cus)) {
					
					if ($_GET["cmbrep"]=="All"){
						$sql_cus1 = "select * from br_trn where cus_code='".$row_cus["CODE"]."' and CAT!='' and CAT!='D' and credit_lim>0 ";
					} else {
						$sql_cus1 = "select * from br_trn where cus_code='".$row_cus["CODE"]."' and CAT!='' and CAT!='D' and Rep='".$_GET["cmbrep"]."' and credit_lim>0";
					}	
            		$result_cus1 = mysqli_query($GLOBALS['dbinv'],$sql_cus1);
					if($row_cus1 = mysqli_fetch_array($result_cus1)) {
				
						if ($i%3==1){
							echo "<tr><td width=\"30%\">";
						}
						if (($i%3==2) or ($i%3==0)){
							echo "<td width=\"30%\">";
						}	
            			echo "<table>";
						echo "<tr><td>".$row_cus["NAME"] . "</td></tr>";
						echo "<tr><td>".$row_cus["ADD1"] . "</td></tr>";
						echo "<tr><td>".$row_cus["ADD2"] . "</td></tr>";
						echo "</table>";
				
						if (($i%3==1) or ($i%3==2)){
							echo "</td>";
						}
						if ($i%3==0){
							echo "</td></tr>";
						}		
						$i=$i+1;
					}	
        		}
		 		echo "</table>";
			
			} else {
				
				$sql_head = "select * from invpara  where flag='".$_SESSION['company']."'"; 
            	$result_head = mysqli_query($GLOBALS['dbinv'],$sql_head);
            	$row_head = mysqli_fetch_array($result_head);


            	$txtrepono = $_SESSION["CURRENT_USER"] . " " . date("Y-m-d") . "  " . date("H:i:s");


            	$rtxtComName = $row_head["COMPANY"];
            	$rtxtcomadd1 = $row_head["ADD1"];
            	$rtxtComAdd2 = $row_head["ADD2"] . ", " . $row_head["ADD3"];
          

            	echo "<center><table width=\"1000\" border=\"0\">
  <tr>
    
    <th colspan=\"4\" scope=\"col\">" . $rtxtComName . "</th>
   
  </tr>
  <tr>
   
    <td colspan=\"4\" align=\"center\">" . $rtxtcomadd1 . "</td>
   
  </tr>
  <tr>
    
    <td colspan=\"4\" align=\"center\">" . $rtxtComAdd2 . "</td>
   
  </tr>
  <tr>
    
	<td  width=\"600\" align=center><b>Customer Master Details</b></td>
    
   
  </tr>
  
</table>";

            
            	echo "<center><table width=1000 border=1>";
            	echo "
		<tr>
		<th>Customer Code</th>
		<th>Customer Name</th>
		<th>Address1</th>
		<th>Address2</th>
		<th>Telephone1</th>
		<th>Telephone2</th>
		<th>Contact Per</th>
		<th>Fax</th>
		<th>EMail</th>
		</tr>";

            	$sql_cus = "select * from vendor where  CAT!='D' ";
				
					
				if ($_GET['district'] != "All") {
					
					$sql_cus .= " and district = '" . $_GET['district'] . "'"; 
					
				}
                
                if ($_GET['cmbrep'] != "All") {
                    $sql_cus .= " and rep = '" . $_GET['cmbrep'] . "'"; 
				}
					
				$sql_cus .=   " order by code";
				
				
            	$result_cus = mysqli_query($GLOBALS['dbinv'],$sql_cus);
				while ($row_cus = mysqli_fetch_array($result_cus)) {
					
					if ($_GET["cmbrep"]=="All"){
						$sql_cus1 = "select * from br_trn where cus_code='".$row_cus["CODE"]."' and CAT!='' and CAT!='D' and credit_lim>0";
					} else {
						$sql_cus1 = "select * from br_trn where cus_code='".$row_cus["CODE"]."' and CAT!='' and CAT!='D' and Rep='".$_GET["cmbrep"]."' and credit_lim>0";
					}	
            		$result_cus1 = mysqli_query($GLOBALS['dbinv'],$sql_cus1);
					if($row_cus1 = mysqli_fetch_array($result_cus1)) {
					
            			echo "<tr><td>" . $row_cus["CODE"] . "</td>
						<td>" . $row_cus["NAME"] . "</td>
						<td>" . $row_cus["ADD1"] . "</td>
						<td>" . $row_cus["ADD2"] . "</td>
						<td>" . $row_cus["TELE1"] . "</td>
						<td>" . $row_cus["TELE2"] . "</td>

						<td>" . $row_cus["CONT"] . "</td>
						<td>" . $row_cus["FAX"] . "</td>
						<td>" . $row_cus["EMAIL"] . "</td></tr>";
					}	

        		}
		 		echo "</table>";
			}	
		}
        ?>



    </body>
</html>
